slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDGetWhichSingularTriplets

Returns which singular triplets are to be sought.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDGetWhichSingularTriplets(SVD svd,SVDWhich *which)

Not Collective

### Input Parameter

| svd | - singular value solver context obtained from SVDCreate()

### Output Parameter

| which | - which singular triplets are to be sought

### Notes

See SVDSetWhichSingularTriplets() for possible values of which

### See Also

SVDSetWhichSingularTriplets(), SVDWhich

### Level

intermediate

### Location

src/svd/interface/svdopts.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages